>From 26e9f2d8461f3d7b958ea7de78503cc2e0dcc29a Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 24 Feb 2015 13:24:23 -0300
Subject: [PATCH 42/44] fixup! deparse: support ALTER THING OWNER TO

newname -> newowner

per Andres
---
 src/backend/tcop/deparse_utility.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/tcop/deparse_utility.c b/src/backend/tcop/deparse_utility.c
index 3e2b98b..b54dde4 100644
--- a/src/backend/tcop/deparse_utility.c
+++ b/src/backend/tcop/deparse_utility.c
@@ -4386,10 +4386,10 @@ deparse_AlterOwnerStmt(Oid objectId, Node *parsetree)
 	ObjectAddress addr;
 	char	   *fmt;
 
-	fmt = psprintf("ALTER %s %%{identity}s OWNER TO %%{newname}I",
+	fmt = psprintf("ALTER %s %%{identity}s OWNER TO %%{newowner}I",
 				   stringify_objtype(node->objectType));
 	ownerStmt = new_objtree_VA(fmt, 0);
-	append_string_object(ownerStmt, "newname", node->newowner);
+	append_string_object(ownerStmt, "newowner", node->newowner);
 
 	addr.classId = get_objtype_catalog_oid(node->objectType);
 	addr.objectId = objectId;
-- 
2.1.4

